*{
    margin:0;
    padding:0;
    box-sizing: border-box;
}

body{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.dropdown--trigger {
    width: 300px;
    display: flex;
    justify-content: space-between;
    padding: 10px 15px;
    font-weight: 500;
    font-size: large;
    border-radius: 15px;
    background-color: #fff;
}

.dropdown--list {
    list-style: none;
    margin-top: 5px;
    display: none;
    flex-direction: column;
    gap: 5px;
    border: 1px solid black;
    border-radius: 15px;
}

.dropdown--list li{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
    width: 100%;
    text-align: start;
    border-bottom: 1px solid black;
    font-weight: bolder;
    animation: slideUp 1s ease;
}

.dropdown-list-item span{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 1rem;
    height: 1rem;
    color: #fff;
    border-radius: 50%;
    background: black;
    font-size: 0.5rem;
}

/* @keyframes slideUp{
    0%{
        transform: translateY(200px);
    }
    100%{
        transform: translate(0);
    }
} */
.dropdown--list li:last-child{
    border-bottom: none;
}